<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddLayoutFieldsToSectionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sections', function (Blueprint $table) {
            $table->string('layout')->nullable();
            $table->string('big')->nullable();
            $table->string('medium1')->nullable();
            $table->string('medium2')->nullable();
            $table->string('medium3')->nullable();
            $table->string('small1')->nullable();
            $table->string('small2')->nullable();
            $table->string('small3')->nullable();
            $table->string('small4')->nullable();
            $table->string('small5')->nullable();
            $table->string('small6')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sections', function (Blueprint $table) {
            $table->dropColumn('layout');
            $table->dropColumn('big');
            $table->dropColumn('medium1');
            $table->dropColumn('medium2');
            $table->dropColumn('medium3');
            $table->dropColumn('small1');
            $table->dropColumn('small2');
            $table->dropColumn('small3');
            $table->dropColumn('small4');
            $table->dropColumn('small5');
            $table->dropColumn('small6');
        });
    }
}
